Subject: bug#1013: 23.0.60; permanent-local not honored for word-wrap

From: Stefan Monnier <[email-masked]>
Date: Mon, 22 Sep 2008 13:38:04 -0400

reopen 1013
thanks

> I just tested with truncate-lines. Same bug as with word-wrap.

> Both `word-wrap' and `truncate-lines' are defined using
> DEFVAR_PER_BUFFER. My guess is that there is a bug in DEFVAR_PER_BUFFER
> or something related to that.

Duh, sorry I misread kill-local-variable for kill-all-local-variables
(i.e. I didn't read what you wrote, but what I thought you'd written).

Yes, it's a problem with the variables defined by DEFVAR_PER_BUFFER.
Their semantics is subtly different from the ones declared with
make-variable-buffer-local.

        Stefan